
\c testdb postgres

-- all is supposed to have the same meaning:
select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2
 left outer join tab3 t3 on t1.id1 = t3.id3
 left outer join tab4 t4 on t1.id1 = t4.id4
;

select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab1 left outer join tab3 t3 on t1.id1 = t3.id3,
 tab1 left outer join tab4 t4 on t1.id1 = t4.id4
;

select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab4 t4 right outer join tab1 on t1.id1 = t4.id4
;

select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab1 left outer join tab4 t4 on t1.id1 = t4.id4
;


-- 
select t1.name1, t2.name2, t3.name3, t4.name4
 from
 (tab1 t1 left outer join tab3 t3 on t1.id1 = t3.id3)
 left outer join
 (tab2 t2 left outer join tab4 t4 on t2.id2 = t4.id4)
 on t1.id1 = t2.id2
;
select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab1 left outer join tab3 t3 on t1.id1 = t3.id3,
 tab2 left outer join tab4 t4 on t2.id2 = t4.id4
;



-- one more table now
select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2
 left outer join tab3 t3 on t1.id1 = t3.id3
 left outer join tab4 t4 on t1.id1 = t4.id4
 left outer join tab0 t0 on t1.id1 = t0.id0
;
-- the same meaning (args exchange onlyd)
select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab1 left outer join tab4 t4 on t1.id1 = t4.id4,
 tab1 left outer join tab0 t0 on t1.id1 = t0.id0
;



select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2
 left outer join tab3 t3 on t1.id1 = t3.id3
 left outer join tab4 t4 on t1.id1 = t4.id4
 left outer join tab0 t0 on t1.id1 = t0.id0
;
select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab1 left outer join tab4 t4 on t1.id1 = t4.id4,
 tab2 left outer join tab0 t0 on t2.id2 = t0.id0
;



select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab1 left outer join tab4 t4 on t1.id1 = t4.id4,
 tab3 left outer join tab0 t0 on t3.id3 = t0.id0
;

select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab2 left outer join tab4 t4 on t2.id2 = t4.id4,
 tab3 left outer join tab0 t0 on t3.id3 = t0.id0
;

select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab4 t4 right outer join tab2 on t2.id2 = t4.id4,
 tab0 t0 right outer join tab3 on t3.id3 = t0.id0
;

select t1.name1, t2.name2, t3.name3, t4.name4, t0.name0
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab3 t3 right outer join tab1 on t1.id1 = t3.id3,
 tab4 t4 right outer join tab2 on t2.id2 = t4.id4,
 tab0 t0 right outer join tab3 on t3.id3 = t0.id0
;

