
\c testdb postgres

-- traditional sql 
select t1.name1, t2.name2, t3.name3, t4.name4
 from
 (tab1 t1 left outer join tab3 t3 on t1.id1 = t3.id3)
 left outer join
 (tab2 t2 left outer join tab4 t4 on t2.id2 = t4.id4)
 on t1.id1 = t2.id2
;

-- extended syntax (same meaning)
select t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab1 t1 left outer join tab2 t2 on t1.id1 = t2.id2,
 tab1 left outer join tab3 t3 on t1.id1 = t3.id3,
 tab2 left outer join tab4 t4 on t2.id2 = t4.id4
;

