
\c testdb postgres

-- traditional sql 
select t0.name0, t1.name1, t2.name2, t3.name3, t4.name4
 from
 ((((tab0 t0
  left outer join tab4 t4 on t0.id0 = t4.id4)
  left outer join tab3 t3 on t0.id0 = t3.id3)
  left outer join tab2 t2 on t0.id0 = t2.id2)
  left outer join tab1 t1 on t0.id0 = t1.id1)
;

-- extended syntax (same meaning)
select t0.name0, t1.name1, t2.name2, t3.name3, t4.name4
 from
 tab0 t0 left outer join tab1 t1 on t0.id0 = t1.id1,
 tab0 left outer join tab2 t2 on t0.id0 = t2.id2,
 tab0 left outer join tab3 t3 on t0.id0 = t3.id3,
 tab0 left outer join tab4 t4 on t0.id0 = t4.id4
;

