
-- "normal" request:

\c testdb postgres

select x.id1, x.name1, y.name2, y.name3 from
tab1 x
inner join 
    (
    select a.id4, a.name4, b.name2, c.name3 from
    tab4 a
    left outer join tab2 b on (a.id4=b.id2)
    left outer join tab3 c on (a.id4=c.id3)
    ) as y
    on (x.id1=y.id4);

-- same thing but wired:

select x.id1, x.name1, y.name2, y.name3 from
    (
    select a.id4, a.name4, b.name2, c.name3 from
    tab4 a
    left outer join tab2 b on (a.id4=b.id2),
    tab4 left outer join tab3 c on (a.id4=c.id3)
    ) as y
inner join 
tab1 x
    on (x.id1=y.id4);

